package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PoIssuer;

/**
 * 发行人Service接口
 *
 * @author ruoyi
 * @date 2023-02-18
 */
public interface IPoIssuerService
{
    /**
     * 查询发行人
     *
     * @param issuerId 发行人ID
     * @return 发行人信息
     */
    public PoIssuer selectPoIssuerByIssuerId(Long issuerId);

    /**
     * 查询发行人列表
     *
     * @param poIssuer
     * @return
     */
    public List<PoIssuer> selectPoIssuerList(PoIssuer poIssuer);

    /**
     * 新增发行人
     *
     * @param poIssuer 发行人信息
     * @return 结果
     */
    public int insertPoIssuer(PoIssuer poIssuer);

    /**
     * 修改发行人
     *
     * @param poIssuer 发行人信息
     * @return 结果
     */
    public int updatePoIssuer(PoIssuer poIssuer);

    /**
     * 批量删除发行人
     *
     * @param issuerIds
     * @return
     */
    public int deletePoIssuerByIssuerIds(Long[] issuerIds);

    /**
     * 删除发行人
     *
     * @param issuerId 发行人ID
     * @return
     */
    public int deletePoIssuerByIssuerId(Long issuerId);

    /**
     * 查询发行人
     *
     * @param issuerName 发行人ID
     * @return 发行人信息
     */
    public List<PoIssuer> selectPoIssuerByIssuerName(String issuerName);
}
